Bug 133981 - CRASH: Undoing deletion of selection
Summary: CRASH: Undoing deletion of selection
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2020-06-14 10:45 UTC by Xisco Faulí
Modified: 2020-06-24 14:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-06-14 10:45:33 UTC
Steps to reproduce:
1. Open attachment 111653 [details] from bug 87961
2. Use Select all two times
3. Delete selection
4. Undo

-> Crash

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: ff508f6d8a3e58d29e9e7622006a7103fb0a2849
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-06-14 10:47:06 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=55576842ec72a748d0bad123d41fa03c89fc136d

author	Michael Stahl <Michael.Stahl@cib.de>	2020-05-26 16:43:27 +0200
committer	Michael Stahl <michael.stahl@cib.de>	2020-05-27 19:17:45 +0200
commit	55576842ec72a748d0bad123d41fa03c89fc136d (patch)
tree	ecbe92a1dd09826e394b90426229c62f29809ba1
parent	d9fa826769cd570814f3556d53493a78d2869873 (diff)
tdf#131684 tdf#132236 sw_redlinehide: fix upper of frame moved...

Bisected with: bibisect-linux64-7.1

Adding Cc: to Michael Stahl
Comment 2 Xisco Faulí 2020-06-14 10:49:39 UTC
Also reproduced with attachment 111646 [details] bug 87961
Comment 3 Xisco Faulí 2020-06-14 11:18:19 UTC
attachment 81064 [details] from bug 65894 is also affected by this issue
Comment 4 Commit Notification 2020-06-19 08:32:40 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/17f47b3972301273716466656e775f3f09d681d8

tdf#133981 sw_redlinehide: oops, InsertCnt_() is missing null...

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Stahl (CIB) 2020-06-19 08:33:55 UTC
fixed on master
Comment 6 Commit Notification 2020-06-19 09:16:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/083b3559576a8a0292fb65a4c721686497d76726

tdf#133981 sw_redlinehide: oops, InsertCnt_() is missing null...

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-19 10:12:57 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/8e917d54483d916661467dac110e0c5e9774bcc2

tdf#133981 sw_redlinehide: oops, InsertCnt_() is missing null...

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-06-19 10:22:14 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6bbc740b72f1629c82440b3b4f09849d3d49c01a
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 9 Commit Notification 2020-06-24 14:16:33 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-5":

https://git.libreoffice.org/core/commit/8087b77debe5be2ee8124314e38bb77a2f0894f1

tdf#133981 sw_redlinehide: oops, InsertCnt_() is missing null...

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.